ubuntu 11.10 x64 系統安裝 android 時發生錯誤,無法執行

在 ubuntu 11.10 x64 的系統,安裝 64位元的 jdk 7, eclipse, android 環境,當我們要執行 android 程式時, 發現以下的錯誤訊息:
shared libraries: libncurses.so.5: wrong ELF…
或是 adb 無法使用,解決方式是 安裝 ia32-libs 試試看, 指令如下:

sudo apt-get install ia32-libs 

參考來源: http://stackoverflow.com/questions/8055576/unable-to-configure-android-with-ubuntu-11-10